EsounD: The Enlightened Sound Daemon
<<< Previous |  | Next >>>

# Running EsounD

# esd

The Enlightened Sound Daemon

esd `[options]`

option | purpose
--- | ---
-nobeeps | inhibits the default startup tone sequence
-d DEVICE | use audio device DEVICE (esd -h for values)
-b | run server in 8 bit sound mode
-r RATE | run server at sample rate of RATE
-as SECS | free audio device after SECS of inactivity
-vt | enable trace diagnostic info (debug builds only)
-vc | enable comms diagnostic info (debug builds only)
-vm | enable mixer diagnostic info (debug builds only)
-port port | accept connections on given port (default=5001)

In addition, "kill -HUP esd-pid resets ownership of the daemon. The file, ˜/.esd-auth, is used for authentication, and is created if needed.

<<< Previous | Home | Next >>>
Installing |  | esdctl